Jump to content

Centos 5 Installation


sshark
 Share

Recommended Posts

I am trying to install PBXnSIP on Centos 5.

When I run the command:

 

chmod a+rx pbxctrl-centos5-3.4.0.3201

 

AND

 

./pbxctrl-centos5-3.4.0.3201 install

 

I get:

 

Error parsing install

 

What am I doing wrong here ? Do I have a corrupt file ?

 

Any help much appreciated , Thanks

Link to comment
Share on other sites

Can you point me to the correct installation procedure for Centos please.

Thanks for your help

 

You need to download the 32bit or 64 bit linux distro of snomONE for CentOS to start with. After you download the file make sure to login as root (su root) and move the file to the root directory.

 

SSH to the box or open terminal window from the GUI.

 

Make sure you are logged in as root, "su root" then enter the root password. Move to the root directory, where you put the snomONE installer

 

Enter the command ./snomone-CentOS5-2011-4.2.0.3950-x64.bin install

 

The file name will reference the current version so it won't look exactly the same as above.

 

Change your firewall settings as per the attached document.

 

You then can login to your CentOS box's IP or localhost from the CentOS's GUI.

 

I would recommend that you set a key for your SSH instead of a direct username and password. I will be making an install sheet for that in the next couple days..

Configuring CentOS5 firewall for snomONE.pdf

Link to comment
Share on other sites

You can find the latest version of centos here - http://wiki.snomone.com/index.php?title=Upgrades. BTW, there are snomONE versions

The pbxnsip versions are listed in http://www.pbxnsip.com/download-software/software.php. Note that the there are no installers created for pbxnsip version. So you have to follow the manual method to "install" the PBX.

Link to comment
Share on other sites

You can find the latest version of centos here - http://wiki.snomone.com/index.php?title=Upgrades. BTW, there are snomONE versions

The pbxnsip versions are listed in http://www.pbxnsip.com/download-software/software.php. Note that the there are no installers created for pbxnsip version. So you have to follow the manual method to "install" the PBX.

Do you know where I can find the manual method instructions to install PBXnSIP. I searched for it and could not find it. The PBXnSIP Support site does not exist anymore.

 

Thanks

Link to comment
Share on other sites

  • 1 year later...

You should use http://wiki.snomone...._on_Sheeva_Plug as the reference. If you are familiar with the Linux, you should be able to do the same for Centos pbxnsip version.

 

 

 

Anybody have a comprehensible step-by-step on installing PBXnSIP NOT SnomONE under CentOS 5 (32) I am trying to test

 

pbxctrl-centos5-4.3.0.5021

 

from a dowload verion under BXnSIP.

 

I am getting Error parsing install logged as root...

 

Greatly appreciated thanks!

 

 

 

 

Link to comment
Share on other sites

It does not make a different if you install pbxnsip or snom ONE, the stuff on the Linux side is the same (see http://kiwi.pbxnsip.com/index.php/Installing_in_Linux#Debian). There is no argument "install" that the PBX executable accepts, you need to set up the daemon files in Linux if you want to start the PBX executable automatically.

 

I would consider moving to snom ONE, you can get your pbxnsip key replaced with a snom ONE key; then you can benebit from the latest versions.

Link to comment
Share on other sites

It does not make a different if you install pbxnsip or snom ONE, the stuff on the Linux side is the same (see http://kiwi.pbxnsip....in_Linux#Debian). There is no argument "install" that the PBX executable accepts, you need to set up the daemon files in Linux if you want to start the PBX executable automatically.

 

I would consider moving to snom ONE, you can get your pbxnsip key replaced with a snom ONE key; then you can benebit from the latest versions.

 

many thanks for your reply,

 

PBX 4.3 support several SIP devices while SNOMone does not... Here is the argument. Cisco phone do not register on SNOMone install.. Since the device installation is planned to be mite snomONE is out f the question unless PNP is back for Cisco, Linksys, Polycom and other...

Link to comment
Share on other sites

PBX 4.3 support several SIP devices while SNOMone does not... Here is the argument. Cisco phone do not register on SNOMone install.. Since the device installation is planned to be mite snomONE is out f the question unless PNP is back for Cisco, Linksys, Polycom and other...

 

That is possible in 4.5. But you need to get a special upgrade key; depending on what you bought in pbxnsip times that might come at no or very little cost. The link was updated.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...